Backup a function

- « uopz_allow_exit

- uopz_compose »

- PHP Manual
- Uopz Functions
- Backup a function

# uopz_backup

(PECL uopz 1 >= 1.0.3, PECL uopz 2)

uopz_backup — Backup a function

Warning

This function has been REMOVED in PECL uopz 5.0.0.

### Description

uopz_backup(string `$function`): void
uopz_backup(string `$class`, string `$function`): void

Backup a function at runtime, to be restored on shutdown

### Parameters

`class`

  The name of the class containing the function to backup

`function`

  The name of the function

### Return Values

### Examples

Example #1 uopz_backup() example

    <?phpuopz_backup("fgets");uopz_function("fgets", function(){    return true;});var_dump(fgets());?>

The above example will output:

    bool(true)